unit unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, ZConnection, ZDataset, Forms, Controls,
  Graphics, Dialogs, ExtCtrls, DBGrids, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnOpen: TButton;
    btnClose: TButton;
    btnAppend: TButton;
    btnExec: TButton;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    edDB: TEdit;
    Label1: TLabel;
    memSQL: TMemo;
    Panel1: TPanel;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    procedure btnOpenClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnAppendClick(Sender: TObject);
    procedure btnExecClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  ZQuery1.Close;
  ZConnection1.Disconnect;
end;

procedure TForm1.btnAppendClick(Sender: TObject);
begin
  If ZQuery1.Active Then
    ZQuery1.Append;
end;

procedure TForm1.btnExecClick(Sender: TObject);
begin
  ZQuery1.Close;
  If edDB.Text <> ZConnection1.Database Then
  Begin
    ZConnection1.Disconnect;
    ZConnection1.Database := edDB.Text;
  end;
  ZQuery1.SQL.Clear;
  ZQuery1.SQL.AddStrings(memSQL.Lines);
  ZQuery1.ExecSQL;
end;

procedure TForm1.FormCreate(Sender: TObject);
Var s: String;
begin
  s := GetCurrentDirUTF8;
  label1.Caption := s;
  If FileExists('sqlite3.dll') Then
    label1.Caption := label1.Caption + ' Found';
end;

procedure TForm1.btnOpenClick(Sender: TObject);
begin
  ZQuery1.Close;
  If edDB.Text <> ZConnection1.Database Then
  Begin
    ZConnection1.Disconnect;
    ZConnection1.Database := edDB.Text;
  end;
  ZConnection1.Connect;
  ZQuery1.SQL.Clear;
  ZQuery1.SQL.AddStrings(memSQL.Lines);
  ZQuery1.Open;
end;

end.

